# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname python-anfft
%global	module	anfft

Summary:	ANFFT is an FFT package for Python, based on FFTW
Name:		python-module-anfft
Version:	0.2
Release:	alt1_2
Source0:	http://anfft.googlecode.com/files/%{module}-%{version}.tar.gz
License:	GPLv3+
Group:		Development/Python
URL:		http://anfft.googlecode.com/

BuildRequires:	python-module-numpy libfftw3 python
Requires:	python-module-numpy libfftw3 python
BuildArch:	noarch
Source44: import.info


%description
ANFFT is intended to be used in situations where large numbers
of expensive FFTs must be performed, and for which the speed 
of the built-in NumPy or SciPy functions has been found insufficient.

By default, ANFFT provides immediate results by using FFTW's 
"estimate" mode, which does not require tuning and is still very fast. 
However, each high-level function provides a keyword named "measure" 
which will invoke the full FFTW planning machinery. 
FFTW will investigate which implementations are fastest on your 
hardware for the given problem size, and ANFFT will transparently 
cache this information to speed up later transforms on arrays of 
the same size and type. Accumulated FFTW "wisdom" about which 
methods work best is stored across Python sessions in a configuration
file in ~/.anfft

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build 

#%check
#libdir=build/lib
#export PYTHONPATH=`pwd`/build/$libdir
#echo "import anfft; anfft.test()" > test.py
#python test.py

%install

python setup.py install -O1 --skip-build  --root=%{buildroot}

%files
%doc COPYING.txt README.txt
%{python_sitelibdir_noarch}/anfft/
%{python_sitelibdir_noarch}/anfft-%{version}-py*.egg-info

%changelog
* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_2
- initial fc import

